Bug 33282 - 2 page DOC file opens as a single page with combined contents
Summary: 2 page DOC file opens as a single page with combined contents
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.0 RC3
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-19 15:25 UTC by Tony Mugan
Modified: 2013-11-23 13:39 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Simple sample file which opens differently in Libreoffice than MS Word 2003 (58.50 KB, application/msword)
2011-01-19 15:27 UTC, Tony Mugan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tony Mugan 2011-01-19 15:25:34 UTC
I have a .doc file which shows some items on two separate pages.
When open in LibreOffice Writer in 3.3 RC3 on Windows 7, it displays as a single page with the items superimposed on each other.

I have also tested with LibreOffice 3.3 RC3 on Ubuntu 10.10 Maverick to confirm the behaviour.

The .doc file is attached.

I would be delighted to assist with further testing.
Comment 1 Tony Mugan 2011-01-19 15:27:09 UTC
Created attachment 42208 [details]
Simple sample file which opens differently in Libreoffice than MS Word 2003
Comment 2 Tony Mugan 2011-01-19 15:35:34 UTC
In Ubuntu 10.10 (64 bit) using the latest repo version of OpenOffice, the doc opens correctly as two separate pages.

OpenOffice.org 3.2.1 
OOO320m19 (Build:9505)
ooo-build 3.2.1.4, Ubuntu package 1:3.2.1-7ubuntu

In Libreoffice 3.3 RC3 it shows as a single combined page with contents of the two pages superimposed on each other.

LibreOffice 3.3.0 
OOO330m19 (Build:5)
tag libreoffice-3.3.0.3
Comment 3 Jorendc 2011-01-27 13:15:22 UTC
Reproducable in Mac OS X 10.6.6, LibreOffice 3.3 final.
Comment 4 Christopher M. Penalver 2011-06-20 19:31:27 UTC
Reproduced in Ubuntu 11.04 via the Terminal:

cd ~/Desktop && wget -c https://bugs.freedesktop.org/attachment.cgi?id=42208 -O example.doc && lowriter -nologo example.doc

lsb_release -rd
Description:	Ubuntu 11.04
Release:	11.04

apt-cache policy libreoffice-writer
libreoffice-writer:
  Installed: 1:3.3.2-1ubuntu5
  Candidate: 1:3.3.2-1ubuntu5
  Version table:
 *** 1:3.3.2-1ubuntu5 0
        500 http://us.archive.ubuntu.com/ubuntu/ natty-updates/main i386 Packages
        100 /var/lib/dpkg/status
     1:3.3.2-1ubuntu4 0
        500 http://us.archive.ubuntu.com/ubuntu/ natty/main i386 Packages
Comment 5 Björn Michaelsen 2011-12-23 11:46:32 UTC
[This is an automated message.]
This bug was filed before the changes to Bugzilla on 2011-10-16. Thus it
started right out as NEW without ever being explicitly confirmed. The bug is
changed to state NEEDINFO for this reason. To move this bug from NEEDINFO back
to NEW please check if the bug still persists with the 3.5.0 beta1 or beta2 prereleases.
Details on how to test the 3.5.0 beta1 can be found at:
http://wiki.documentfoundation.org/QA/BugHunting_Session_3.5.0.-1

more detail on this bulk operation: http://nabble.documentfoundation.org/RFC-Operation-Spamzilla-tp3607474p3607474.html
Comment 6 Christopher M. Penalver 2012-01-03 13:11:41 UTC
Problem reproduced in:
LOdev 3.5.0beta2 
Build ID: 8589e48-760cc4d-f39cf3d-1b2857e-60db978
Microsoft Windows Vista Business 6.0.6002 Service Pack 2 Build 6002
Comment 7 Jorendc 2013-02-17 16:06:48 UTC
Opening this file result in 2 seperate pages. Tested using LibreOffice 4.0.0 with Linux Mint 14 x64. Therefore I mark this as RESOLVED WORKSFORME (we don't know which commit resolve this issue, therefore we don't mark it as FIXED).

If this problem still exist using LibreOffice 4.0.0 or later, please feel free to REOPEN this bug.

Kind regards,
Joren